Loading...
Searching...
No Matches
CassieIndexer Class Reference

`#include <Cassiopee.h>`

## Public Member Functions

| CassieIndexer (const char *path)
void | save ()
void | load ()
void | graph ()
void | graph (int depth)
string | getSuffix (long pos)
void | index ()
tree< TreeNode > * | getTree ()
char | getCharAtSuffix (long pos)
void | filltree (long pos)
bool | index_loaded_from_file ()

## Public Attributes

list< Match > | matches
bool | do_reduction
long | max_depth
long | max_index_depth
long | seq_length

## Detailed Description

Cassiopee indexer

Index an input file

## Constructor & Destructor Documentation

## CassieIndexer()

CassieIndexer::CassieIndexer | ( | const char * | path | ) |

Main contructor

Parameters

  path | Path to the sequence file, sequence must be a one-line sequence.

## Member Function Documentation

## filltree()

void CassieIndexer::filltree | ( | long | pos | ) |

Fills suffix tree with input suffix

Parameters

  pos | Position of suffix in sequence

## getCharAtSuffix()

char CassieIndexer::getCharAtSuffix | ( | long | pos | ) |

Get char from suffix located at position pos.

## getSuffix()

string CassieIndexer::getSuffix | ( | long | pos | ) |

Get the suffix content from a position

Parameters

  pos | Position in the file

Returns
  the suffix string

## getTree()

tree< TreeNode > * CassieIndexer::getTree | ( |  | ) |

Get the tree matching the indexed sequence

## graph() [1/2]

void CassieIndexer::graph | ( |  | ) |

Generates a dot file representing the tree.

## graph() [2/2]

void CassieIndexer::graph | ( | int | depth | ) |

Generates a dot file representing the tree up to depth

Parameters

  depth | Max depth to print

## index()

void CassieIndexer::index | ( |  | ) |

Launch the indexation of the input sequence

## index_loaded_from_file()

bool CassieIndexer::index_loaded_from_file | ( |  | ) |

Checks if index has been loaded from a saved index or if index has been build dynamically

## load()

void CassieIndexer::load | ( |  | ) |

Load index from a file

## save()

void CassieIndexer::save | ( |  | ) |

Save the index in a file

## Member Data Documentation

## do_reduction

bool CassieIndexer::do_reduction

Allow tree reduction

## matches

list<Match> CassieIndexer::matches

List of positions in original sequence matching the search

## max_depth

long CassieIndexer::max_depth

Max depth to graph

## max_index_depth

long CassieIndexer::max_index_depth

Max depth to index, can limit index size if pattern to search are known of a maximum size

The documentation for this class was generated from the following files:

- src/Cassiopee.h
- src/cassiopee.cxx